On Wed, Aug 09, 2017 at 11:16:58AM +0100, Stefan Hajnoczi wrote:
> Ross created a bug to track Python 3 support:
> 
>   https://bugs.launchpad.net/qemu/+bug/1708462
> 
> Currently most Python code in QEMU is for Python 2.6+ only.  There
> have only been a few patches adding Python 3 support to certain
> scripts so far.
> 
> In this email I want to highlight the most important scripts that need
> Python 3 support.  Volunteers are welcome!
> 
> Python scripts needed to build QEMU are the highest priority.  They
> are invoked by ./configure or make.  I've identified the following:
> 
> scripts/signrom.py
> scripts/qapi*.py
> scripts/modules/module_block.py
> scripts/tracetool*

> I have tracetool on my todo list and hope to add Python 3 support in QEMU 
> 2.11.

AFAICT tracetool seems to already work - i hacked rules.mak to
run tracetool via python3 and nothing obvious broke

Regards,
Daniel
-- 
|: https://berrange.com      -o-    https://www.flickr.com/photos/dberrange :|
|: https://libvirt.org         -o-            https://fstop138.berrange.com :|
|: https://entangle-photo.org    -o-    https://www.instagram.com/dberrange :|

Reply via email to